# Method: accounts.sites.list

- [HTTP request](https://developers.google.com/adsense/management/reference/rest/v2/accounts.sites/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/adsense/management/reference/rest/v2/accounts.sites/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/adsense/management/reference/rest/v2/accounts.sites/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/adsense/management/reference/rest/v2/accounts.sites/list#body.request_body)
- [Response body](https://developers.google.com/adsense/management/reference/rest/v2/accounts.sites/list#body.response_body)
  - [JSON representation](https://developers.google.com/adsense/management/reference/rest/v2/accounts.sites/list#body.ListSitesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/adsense/management/reference/rest/v2/accounts.sites/list#body.aspect)
- [Try it!](https://developers.google.com/adsense/management/reference/rest/v2/accounts.sites/list#try-it)

Lists all the sites available in an account.

### HTTP request

`GET https://adsense.googleapis.com/v2/{parent=accounts/*}/sites`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The account which owns the collection of sites. Format: accounts/{account} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of sites to include in the response, used for paging. If unspecified, at most 10000 sites will be returned. The maximum value is 10000; values above 10000 will be coerced to 10000. |
| `pageToken` | `string` A page token, received from a previous `sites.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `sites.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response definition for the sites list rpc.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "sites": [ { object (`https://developers.google.com/adsense/management/reference/rest/v2/accounts.sites#Site`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `sites[]` | ``object (`https://developers.google.com/adsense/management/reference/rest/v2/accounts.sites#Site`)`` The sites returned in this list response. |
| `nextPageToken` | `string` Continuation token used to page through sites. To retrieve the next page of the results, set the next request's "pageToken" value to this. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/adsense`
- `
  https://www.googleapis.com/auth/adsense.readonly`